Name:           iep
Version:        3.7
Release:        %mkrel 5
Summary:        Cross-platform Python IDE focused on interactivity and introspection
License:        BSD
Group:          Development/Python
URL:            http://www.iep-project.org
Source0:        https://pypi.python.org/packages/source/i/iep/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pythonegg(3)(setuptools)
Requires:       fonts-ttf-dejavu
Requires:       pythonegg(3)(pyzolib)
Requires:       python3-qt4
Requires:       python3-sip

%description
IEP (pronounced as eep) is a cross-platform Python IDE focused on
interactivity and introspection, which makes it very suitable for
scientific computing. Its practical design is aimed at simplicity
and efficiency.

It consists of two main components, the editor and the shell, and
uses a set of pluggable tools to help the programmer in various ways.
Some example tools are source structure, project manager,
interactive help and workspace.

#---------------------------------------------------------------------------

%prep
%autosetup

# Removed bundled DejaVu fonts
rm -rf iep/resources/fonts/DejaVu*.ttf

# Remove the unused style files (not yet implemented in IEP 3)
rm -f iep/resources/style_*.ssdf

%build
%py3_build

%install
%py3_install

# Launch script
install -d %{buildroot}%{_bindir}
cat << EOF > %{buildroot}%{_bindir}/%{name}
#!/bin/sh
%{__python3} -m %{name}
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

# Icons
for size in 16 32 48 64 128 256; do
  install -D -m644 iep/resources/appicons/ieplogo${size}.png \
          %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

# Desktop file
install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=IEP
GenericName=Python IDE
Comment=The interactive editor for Python
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Development;IDE;
EOF

%files
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Mon Jun 27 2016 akien <akien> 3.7-5.mga6
+ Revision: 1037845
- Rebuild in core/release

* Sat Jun 25 2016 akien <akien> 3.7-4.mga6
+ Revision: 1037536
- Rebuild for python-sip 4.18

* Fri Feb 19 2016 umeabot <umeabot> 3.7-3.mga6
+ Revision: 970718
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 daviddavid <daviddavid> 3.7-2.mga6
+ Revision: 887730
- rebuild for python 3.5

* Mon Sep 21 2015 akien <akien> 3.7-1.mga6
+ Revision: 882139
- Version 3.7

* Tue Jan 13 2015 akien <akien> 3.5-2.mga5
+ Revision: 810452
- Add python3-sip dependency

* Mon Jan 12 2015 akien <akien> 3.5-1.mga5
+ Revision: 810045
- Version 3.5 (synced with Fedora)
- Package icons, desktop files and launcher script
- Remove bundled DejaVu fonts
- imported package iep

